Qt 5.11 | Qt 3D | C++ Classes | QNodeCommand

Qt 5.11.3 Reference Documentation

# QNodeCommand Class

(Qt3DCore::QNodeCommand)

The QNodeCommand class is the base class for all CommandRequested QSceneChange events. More...

Header: | #include <Qt3DCore/QNodeCommand>
qmake: | QT += 3dcore
Since: | Qt 5.10
Inherits: | Qt3DCore::QSceneChange

- List of all members, including inherited members

## Public Types

typedef | CommandId

## Public Functions

| QNodeCommand(Qt3DCore::QNodeId id)
virtual | ~QNodeCommand()
Qt3DCore::QNodeCommand::CommandId | commandId() const
QVariant | data() const
Qt3DCore::QNodeCommand::CommandId | inReplyTo() const
QString | name() const
void | setData(const QVariant &data)
void | setName(const QString &name)
void | setReplyToCommandId(Qt3DCore::QNodeCommand::CommandId id)

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QNodeCommand(Qt3DCore::QNodeCommandPrivate &dd, Qt3DCore::QNodeId id)

## Related Non-Members

typedef | QNodeCommandPtr

## Detailed Description

The QNodeCommand class is the base class for all CommandRequested QSceneChange events.

The QNodeCommand class is the base class for all QSceneChange events that have the changeType() CommandRequested.

You can subclass this to create your own node update types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Type Documentation

### typedef QNodeCommand::CommandId

Type of the command id, defined either as quint64 or quint32 depending on the platform support.

## Member Function Documentation

### QNodeCommand::QNodeCommand(Qt3DCore::QNodeId id)

Constructs a new QNodeCommand with id.

### `[protected]` QNodeCommand::QNodeCommand(Qt3DCore::QNodeCommandPrivate &dd, Qt3DCore::QNodeId id)

Default constructs an instance of QNodeCommand.

### `[virtual]` QNodeCommand::~QNodeCommand()

Destroys the instance of QNodeCommand. The destructor is virtual.

### Qt3DCore::QNodeCommand::CommandId QNodeCommand::commandId() const

Returns commandId.

### QVariant QNodeCommand::data() const

Returns data.

See also setData().

### Qt3DCore::QNodeCommand::CommandId QNodeCommand::inReplyTo() const

### QString QNodeCommand::name() const

Returns name.

See also setName().

### void QNodeCommand::setData(const QVariant &data)

See also data().

### void QNodeCommand::setName(const QString &name)

See also name().

### void QNodeCommand::setReplyToCommandId(Qt3DCore::QNodeCommand::CommandId id)

## Related Non-Members

### typedef Qt3DCore::QNodeCommandPtr

A shared pointer for QNodeCommand.